Packages - Freedom Issue #2529

[anki]: depends on nonfree qt5-webengine
2019-11-01 05:50 PM - Anonymous

Status: duplicate % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

Yet another fantastic piece of free software that unfortunately depends on nonfree libraries. This one has been reported previously in
#1426#1455#1822#1830 (I don't know how to add issues to the Related issues tab), but it's still in the repos and hasn't been added
to the your-freedom blacklist, even though the issue appeared over two years ago.

In #1830 Elon_Satoshi suggested reverting Anki to its 2.0 version since that one still used the free gt-webkit, but | don't know what
the implications would be

History

#1 - 2019-11-02 06:19 PM - bill-auger
- Priority changed from bug to freedom issue

- Status changed from unconfirmed to duplicate

it is not possible to install the package; so blacklisting it is a low priority - you could have just commented on one of the open tickets - that would make
it float to the top of the list jus the same as opening a duplicate - each open ticket represents some work to be done, or that is proposed to be done;
so we try to avoid duplicates

duplicate of #1426
duplicate of #1830

#2 - 2019-11-03 10:07 AM - Anonymous

My apologies. | tried asking for guidance in the IRC channel, but the only advice | got was to create a new thread. Thanks for letting me know, so I'll
be able to do the correct thing next time!

#3 - 2019-11-03 10:30 AM - bill-auger

the first thing to do when a bug is found, is to search the bug
tracker for the name of the package, using the search box on the
top-right of each page - that will list all issues, either open

or closed - if there is already a ticket for problem, it is best

to comment onto that one; or open a new one when none of the
existing issues appear to address the same problem

the IRC can be helpful when you are not certain what the problem
is, or if it really is a bug, or if maybe you are just doing

something wrong, for example - but when you know for certain
that there is something wrong with the software, and especially
when a ticket already exists mentioning that problem, then it

is best to be reported on the bug tracker or mailing list;

because it will be seen by more people that way
